## rocksdb-9.10.0-1.src.tar.gz

=== db_stress_tool/CMakeLists.txt ===
add_executable(db_stress${ARTIFACT_SUFFIX}
  batched_ops_stress.cc
  cf_consistency_stress.cc
  db_stress.cc
  db_stress_common.cc
  db_stress_driver.cc
  db_stress_filters.cc
  db_stress_gflags.cc
  db_stress_listener.cc
  db_stress_shared_state.cc
  db_stress_stat.cc
  db_stress_test_base.cc
  db_stress_wide_merge_operator.cc
  db_stress_tool.cc
  expected_state.cc
  expected_value.cc
  multi_ops_txns_stress.cc
  no_batched_ops_stress.cc)
target_link_libraries(db_stress${ARTIFACT_SUFFIX} ${ROCKSDB_LIB} ${THIRDPARTY_LIBS})
list(APPEND tool_deps db_stress)

=== PKGBUILD ===
# Maintainer: Anatol Pomozov
# Contributor: László Várady <laszlo.varady93@gmail.com>

pkgname=rocksdb
pkgver=9.10.0
pkgrel=1
pkgdesc='Embedded key-value store for fast storage'
arch=(x86_64)
url="https://rocksdb.org/"
license=(GPL2 Apache)
depends=(bzip2 lz4 snappy zlib zstd tbb liburing)
makedepends=(python)
source=(rocksdb-$pkgver.tar.gz::https://github.com/facebook/rocksdb/archive/v$pkgver.tar.gz)
sha256sums=('fdccab16133c9d927a183c2648bcea8d956fb41eb1df2aacaa73eb0b95e43724')

build() {
  cd rocksdb-$pkgver
  DISABLE_JEMALLOC=1 PORTABLE=1 USE_RTTI=1 make shared_lib
}

check() {
  cd rocksdb-$pkgver
  # make check # fails due to https://github.com/facebook/rocksdb/issues/8974
}

package() {
  cd rocksdb-$pkgver
  make install-shared DESTDIR="$pkgdir" PREFIX=/usr
}
